Verified Commit e08b8347 authored by Alan Poulain's avatar Alan Poulain
Browse files

Do not use dev dependencies

parent 725402af
......@@ -3,66 +3,70 @@
"description": "Create friendly collaborative maps",
"license": "AGPL-3",
"type": "project",
"minimum-stability": "dev",
"require": {
"php": "^7.1",
"php": "^7.3",
"alcaeus/mongo-php-adapter": "^1.1",
"symfony/flex": "^1.6",
"symfony/console": "^4.4",
"symfony/framework-bundle": "^4.4",
"symfony/yaml": "^4.4",
"symfony/asset": "^4.4",
"symfony/twig-pack": "^1.0",
"symfony/mailer": "^4.4",
"symfony/form": "^4.4",
"symfony/security-bundle": "^4.4",
"symfony/translation": "^4.4",
"symfony/validator": "^4.4",
"doctrine/data-fixtures": "^1.4",
"doctrine/doctrine-bundle": "2.0.7",
"symfony/doctrine-bridge": "^4.3",
"doctrine/doctrine-cache-bundle": "^1.4",
"symfony/swiftmailer-bundle": "^3.4",
"symfony/monolog-bundle": "^3.5",
"sensio/framework-extra-bundle": "^5.5",
"incenteev/composer-parameter-handler": "^2.0",
"willdurand/geocoder-bundle":"^5.0",
"doctrine/mongodb-odm": "^1.3.6@dev",
"doctrine/mongodb-odm-bundle": "^3.6.1",
"friendsofsymfony/user-bundle": "^2.1",
"geocoder-php/google-maps-provider": "^4.4",
"guzzlehttp/guzzle": "^6.0",
"hwi/oauth-bundle": "^0.6",
"intervention/image": "^2.4",
"jms/serializer-bundle": "^2.4",
"joshtronic/php-loremipsum": "dev-master",
"doctrine/mongodb-odm": "^1.3.6",
"doctrine/mongodb-odm-bundle": "^3.6.1",
"sonata-project/doctrine-mongodb-admin-bundle": "^3.3",
"sonata-project/admin-bundle": "^3.5",
"pixassociates/sortable-behavior-bundle": "^1.2",
"sonata-project/formatter-bundle": "^4.1",
"joshtronic/php-loremipsum": "^1.0",
"knplabs/knp-menu": "~2.3",
"knplabs/knp-menu-bundle": "^2.2",
"sonata-project/exporter" : "^1.7",
"sonata-project/easy-extends-bundle":"^2.2",
"hwi/oauth-bundle": "^0.6",
"ob/highcharts-bundle": "^1.6",
"vich/uploader-bundle": "^1.4",
"intervention/image": "^2.4",
"ozdemirburak/iris": "^1.2",
"guzzlehttp/guzzle": "~6.0",
"php-http/httplug-bundle": "^1.15",
"pixassociates/sortable-behavior-bundle": "^1.2",
"sensio/framework-extra-bundle": "^5.5",
"sentry/sentry-symfony": "^3.4",
"friendsofsymfony/user-bundle": "^2.1",
"sonata-project/admin-bundle": "^3.5",
"sonata-project/block-bundle": "^3.11",
"sonata-project/doctrine-mongodb-admin-bundle": "^3.3",
"sonata-project/easy-extends-bundle": "^2.2",
"sonata-project/exporter": "^1.7",
"sonata-project/formatter-bundle": "^4.1",
"sonata-project/user-bundle": "^4.5",
"twig/twig": "^2.10",
"php-http/httplug-bundle": "^1.15",
"stof/doctrine-extensions-bundle": "^1.3@dev",
"sonata-project/block-bundle": "^3.11",
"symfony/apache-pack": "^1.0",
"symfony/asset": "^4.4",
"symfony/console": "^4.4",
"symfony/doctrine-bridge": "^4.3",
"symfony/flex": "^1.6",
"symfony/form": "^4.4",
"symfony/framework-bundle": "^4.4",
"symfony/mailer": "^4.4",
"symfony/monolog-bundle": "^3.5",
"symfony/process": "^4.4",
"symfony-bundles/odm-fixtures-bundle": "^1.0@dev",
"symfony/apache-pack": "dev-master"
"symfony/security-bundle": "^4.4",
"symfony/swiftmailer-bundle": "^3.4",
"symfony/translation": "^4.4",
"symfony/twig-pack": "^1.0",
"symfony/validator": "^4.4",
"symfony/yaml": "^4.4",
"twig/twig": "^2.10",
"vich/uploader-bundle": "^1.4",
"willdurand/geocoder-bundle": "^5.0"
},
"require-dev": {
"symfony/debug-pack": "^1.0",
"symfony/dotenv": "^4.4",
"symfony/profiler-pack": "^1.0"
},
"repositories": [
{ "type": "git", "url": "https://github.com/seballot/mongodb-odm.git" }
],
"require-dev": {
"symfony/dotenv": "^4.4",
"symfony/profiler-pack": "dev-master",
"symfony/debug-pack": "dev-master"
"config": {
"preferred-install": {
"*": "dist"
},
"sort-packages": true
},
"autoload": {
"psr-4": {
......@@ -91,8 +95,8 @@
},
"extra": {
"symfony": {
"id": "",
"allow-contrib": false
"allow-contrib": false,
"require": "4.4.*"
},
"public-dir": "web/"
}
......
This diff is collapsed.
......@@ -36,5 +36,4 @@ return [
Symfony\Bundle\DebugBundle\DebugBundle::class => ['dev' => true, 'test' => true],
App\Application\Sonata\UserBundle\ApplicationSonataUserBundle::class => ['all' => true],
App\Application\Sonata\Exporter\ApplicationSonataExporterBundle::class => ['all' => true],
SymfonyBundles\ODMFixturesBundle\SymfonyBundlesODMFixturesBundle::class => ['all' => true],
];
......@@ -32,6 +32,9 @@
"doctrine/common": {
"version": "2.12.x-dev"
},
"doctrine/data-fixtures": {
"version": "1.4.2"
},
"doctrine/dbal": {
"version": "2.10.x-dev"
},
......@@ -149,9 +152,6 @@
"config/routes/hwi_oauth_routing.yaml"
]
},
"incenteev/composer-parameter-handler": {
"version": "2.1.x-dev"
},
"intervention/image": {
"version": "2.5.1"
},
......@@ -185,7 +185,7 @@
]
},
"joshtronic/php-loremipsum": {
"version": "dev-master"
"version": "1.0.5"
},
"knplabs/knp-markdown-bundle": {
"version": "1.8.1"
......@@ -381,9 +381,6 @@
"swiftmailer/swiftmailer": {
"version": "6.2-dev"
},
"symfony-bundles/odm-fixtures-bundle": {
"version": "1.x-dev"
},
"symfony/apache-pack": {
"version": "1.0",
"recipe": {
......@@ -625,6 +622,9 @@
"translations/.gitignore"
]
},
"symfony/translation-contracts": {
"version": "2.0-dev"
},
"symfony/twig-bridge": {
"version": "4.4.x-dev"
},
......@@ -693,6 +693,9 @@
"twig/extra-bundle": {
"version": "3.x-dev"
},
"twig/twig": {
"version": "2.x-dev"
},
"vich/uploader-bundle": {
"version": "1.5",
"recipe": {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment